%define module_name AnyEvent-RabbitMQ-PubSub
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/RabbitMQ.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Promises.pm) perl(Test/More.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.2.1
Release: alt1
Summary: Publish and consume RabbitMQ messages.
Group: Development/Perl
License: perl
URL: https://github.com/avast/AnyEvent-RabbitMQ-PubSub

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JA/JASEI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AnyEvent::RabbitMQ::PubSub allows to easily create publishers and consumers
of RabbitMQ messages.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/A*

%changelog
* Mon May 28 2018 Igor Vlasenko <viy@altlinux.ru> 3.2.1-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 3.2.0-alt1
- regenerated from template by package builder

* Mon Mar 20 2017 Igor Vlasenko <viy@altlinux.ru> 3.1.2-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 3.1.1-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 3.1.0-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 3.0.2-alt1
- initial import by package builder

